/*
* Code by Bodysoulspirit. Public Domain.
*/

#include "node.h"
#include "VuoListPosition.h"

VuoModuleMetadata({
					 "title" : "Remove any from List",
					 "keywords" : ["remove", "delete"],
					 "version" : "1.0.0",
					 "node" : {
						  "exampleCompositions" : []
					 }
				 });

void nodeEvent
(
		VuoInputData(VuoList_VuoGenericType1) list,
		VuoInputData(VuoInteger, {"default":1, "suggestedMin":1}) index,
		//VuoOutputData(VuoGenericType1) removedItem,
		VuoOutputData(VuoList_VuoGenericType1) modifiedList
)
{
	if (!list)
	{
		return;
	}
	else
	{
	//unsigned long last = VuoListGetCount_VuoGenericType1(list);
	//for (unsigned long i = 1; i <= termsCount; ++i)
	unsigned long indexUnsigned = MAX(1, index);
	*modifiedList = VuoListCopy_VuoGenericType1(list);
	//*removedItem = VuoListGetValue_VuoGenericType1(modifiedList, indexUnsigned);
	VuoListRemoveValue_VuoGenericType1(*modifiedList, index);
	}
}
